Loading...
Searching...
No Matches
juce::PushNotifications::Settings Struct Reference

## Detailed Description

Describes settings we want to use for current device.

Note that at the moment this is only used on iOS and partially on OSX.

On OSX only allow* flags are used and they control remote notifications only. To control sound, alert and badge settings for local notifications on OSX, use Notifications settings in System Preferences.

To setup push notifications for current device, provide permissions required, as well as register categories of notifications you want to support. Each category needs to have a unique identifier and it can optionally have multiple actions. Each action also needs to have a unique identifier. The example setup may look as follows:

using Action = PushNotifications::Settings::Action;
using Category = PushNotifications::Settings::Category;
Action okAction;
okAction.identifier = "okAction";
okAction.title = "OK!";
okAction.style = Action::button;
okAction.triggerInBackground = true;
Action cancelAction;
cancelAction.identifier = "cancelAction";
cancelAction.title = "Cancel";
cancelAction.style = Action::button;
cancelAction.triggerInBackground = true;
cancelAction.destructive = true;
Action textAction;
textAction.identifier = "textAction";
textAction.title = "Enter text";
textAction.style = Action::text;
textAction.triggerInBackground = true;
textAction.destructive = false;
textAction.textInputButtonText = "Ok";
textAction.textInputPlaceholder = "Enter text...";
Category okCategory;
okCategory.identifier = "okCategory";
okCategory.actions = { okAction };
Category okCancelCategory;
okCancelCategory.identifier = "okCancelCategory";
okCancelCategory.actions = { okAction, cancelAction };
Category textCategory;
textCategory.identifier = "textCategory";
textCategory.actions = { textAction };
textCategory.sendDismissAction = true;
PushNotifications::Settings settings;
settings.allowAlert = true;
settings.allowBadge = true;
settings.allowSound = true;
settings.categories = { okCategory, okCancelCategory, textCategory };
juce::PushNotifications::Notification::Action::triggerInBackground
bool triggerInBackground
Whether the app can process the action in background.
Definition juce_PushNotifications.h:97
juce::PushNotifications::Notification::Action::textInputPlaceholder
String textInputPlaceholder
Optional: placeholder text for text input notification.
Definition juce_PushNotifications.h:88
juce::PushNotifications::Notification::Action::button
@ button
Show this action as a button.
Definition juce_PushNotifications.h:80
juce::PushNotifications::Notification::Action::text
@ text
Show this action as a text input field (on Android API 20 or higher is required).
Definition juce_PushNotifications.h:81
juce::PushNotifications::Notification::Action::title
String title
Required.
Definition juce_PushNotifications.h:87
juce::PushNotifications::Notification::Action::identifier
String identifier
Required: unique identifier.
Definition juce_PushNotifications.h:95
juce::PushNotifications::Notification::Action::style
Style style
Definition juce_PushNotifications.h:86
juce::PushNotifications::Notification::Action::destructive
bool destructive
Whether to display the action as destructive.
Definition juce_PushNotifications.h:98
juce::PushNotifications::Notification::Action::textInputButtonText
String textInputButtonText
Optional: Text displayed on text input notification button.
Definition juce_PushNotifications.h:99
juce::PushNotifications::Settings::Category
Describes a category of a notification.
Definition juce_PushNotifications.h:405
juce::PushNotifications::Settings::Category::actions
Array< Action > actions
optional list of actions within this category
Definition juce_PushNotifications.h:407
juce::PushNotifications::Settings::Category::identifier
String identifier
unique identifier
Definition juce_PushNotifications.h:406
juce::PushNotifications::Settings::Action
Notification::Action Action
Definition juce_PushNotifications.h:397

The documentation for this struct was generated from the following file:

- juce_gui_extra/misc/juce_PushNotifications.h

## Classes

struct | Category
| Describes a category of a notification. More...

## Public Types

using | Action = Notification::Action

## Public Attributes

bool | allowSound = false
| whether the app should play a sound upon notification
bool | allowAlert = false
| whether the app should present an alert upon notification
bool | allowBadge = false
| whether the app may badge its icon upon notification
Array< Category > | categories
| list of categories the app wants to support

## Member Typedef Documentation

## Action

using juce::PushNotifications::Settings::Action = Notification::Action

## Member Data Documentation

## allowSound

bool juce::PushNotifications::Settings::allowSound = false

whether the app should play a sound upon notification

## allowAlert

bool juce::PushNotifications::Settings::allowAlert = false

whether the app should present an alert upon notification

## allowBadge

bool juce::PushNotifications::Settings::allowBadge = false

whether the app may badge its icon upon notification

## categories

Array<Category> juce::PushNotifications::Settings::categories

list of categories the app wants to support

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited